<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.SetupProducts</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Setup Stations Wares</description>
<arguments>
<argument index="1" name="Station" type="Var/Station" desc="Station" />
<argument index="2" name="Unlocked.Wares" type="Var/Script Data Type" desc="Ware Array" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Owner&#160;=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="002" indent=""></line>
<line linenr="003" indent=""><var>if&#160;</var><var>$Owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Pirates</var></line>
<line linenr="004" indent="&#160;"><var>$Ware.Array&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="005" indent="&#160;"><text>append&#160;</text><var>Scruffin&#160;Fruits</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="006" indent="&#160;"><text>append&#160;</text><var>Sunrise&#160;Flowers</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="007" indent="&#160;"><text>append&#160;</text><var>Space&#160;Fuel</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="008" indent="&#160;"><text>append&#160;</text><var>Majaglit</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="009" indent="&#160;"><text>append&#160;</text><var>Space&#160;weed</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="010" indent="&#160;"><text>append&#160;</text><var>Spaceflies</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="011" indent="&#160;"><text>append&#160;</text><var>Slaves</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="012" indent="&#160;"><text>append&#160;</text><var>SQUASH&#160;Mine</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="013" indent="&#160;"><text>append&#160;</text><var>Energy&#160;Cells</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="014" indent="&#160;"></line>
<line linenr="015" indent="&#160;"><text>append&#160;</text><var>Freight&#160;scanner</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="016" indent="&#160;"><text>append&#160;</text><var>Cargo&#160;bay&#160;extension</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="017" indent="&#160;"><text>append&#160;</text><var>Engine&#160;Tuning</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="018" indent="&#160;"><text>append&#160;</text><var>Rudder&#160;Optimisation</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="019" indent="&#160;"><text>append&#160;</text><var>Navigation&#160;Command&#160;Software&#160;MK1</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="020" indent="&#160;"><text>append&#160;</text><var>Trade&#160;Command&#160;Software&#160;MK1</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="021" indent="&#160;"><text>append&#160;</text><var>Trade&#160;Command&#160;Software&#160;MK2</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="022" indent="&#160;"><text>append&#160;</text><var>Fight&#160;Command&#160;Software&#160;MK1</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="023" indent="&#160;"><text>append&#160;</text><var>Fight&#160;Command&#160;Software&#160;MK2</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="024" indent="&#160;"><text>append&#160;</text><var>Special&#160;Command&#160;Software&#160;MK1</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="025" indent="&#160;"><text>append&#160;</text><var>System&#160;Override&#160;Software&#160;</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="026" indent="&#160;"><text>append&#160;</text><var>Jumpdrive</var><text>&#160;to&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="027" indent=""><text>else</text></line>
<line linenr="028" interruptable="@" indent="&#160;"><var>$Ware.Array&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.RaceShips</call><text>&#160;:&#160;</text><text>&#160;Default&#160;race=</text><var>$Owner</var></line>
<line linenr="029" indent=""><text>end</text></line>
<line linenr="030" indent=""></line>
<line linenr="031" indent=""><var>$No.Wares&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="032" indent=""><var>while&#160;</var><var>$No.Wares</var></line>
<line linenr="033" indent="&#160;"><text>dec&#160;</text><var>$No.Wares&#160;=&#160;</var></line>
<line linenr="034" indent="&#160;"><var>$Ware&#160;=&#160;</var><var>$Ware.Array</var><text>[</text><var>$No.Wares</var><text>]</text></line>
<line linenr="035" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.AddProducts</call><text>&#160;:&#160;</text><text>&#160;Station=</text><var>$Station</var><text>&#160;</text><text>&#160;Ware=</text><var>$Ware</var><text>&#160;</text><text>&#160;Amount=</text><var>null</var></line>
<line linenr="036" indent=""><text>end</text></line>
<line linenr="037" indent=""></line>
<line linenr="038" indent=""><var>if&#160;</var><var>$Unlocked.Wares</var></line>
<line linenr="039" indent="&#160;"><var>if&#160;</var><var>$Owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Argon</var></line>
<line linenr="040" indent="&#160;&#160;"><var>$Ware.Array&#160;=&#160;</var><var>$Unlocked.Wares</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="041" indent="&#160;"><var>else&#160;if&#160;</var><var>$Owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Boron</var></line>
<line linenr="042" indent="&#160;&#160;"><var>$Ware.Array&#160;=&#160;</var><var>$Unlocked.Wares</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="043" indent="&#160;"><var>else&#160;if&#160;</var><var>$Owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Paranid</var></line>
<line linenr="044" indent="&#160;&#160;"><var>$Ware.Array&#160;=&#160;</var><var>$Unlocked.Wares</var><text>[</text><var>2</var><text>]</text></line>
<line linenr="045" indent="&#160;"><var>else&#160;if&#160;</var><var>$Owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Split</var></line>
<line linenr="046" indent="&#160;&#160;"><var>$Ware.Array&#160;=&#160;</var><var>$Unlocked.Wares</var><text>[</text><var>3</var><text>]</text></line>
<line linenr="047" indent="&#160;"><var>else&#160;if&#160;</var><var>$Owner</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Teladi</var></line>
<line linenr="048" indent="&#160;&#160;"><var>$Ware.Array&#160;=&#160;</var><var>$Unlocked.Wares</var><text>[</text><var>4</var><text>]</text></line>
<line linenr="049" indent="&#160;"><text>end</text></line>
<line linenr="050" indent="&#160;"></line>
<line linenr="051" indent="&#160;"><var>$No.Wares&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Ware.Array</var></line>
<line linenr="052" indent="&#160;"><var>while&#160;</var><var>$No.Wares</var></line>
<line linenr="053" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Wares&#160;=&#160;</var></line>
<line linenr="054" indent="&#160;&#160;"><var>$Ware&#160;=&#160;</var><var>$Ware.Array</var><text>[</text><var>$No.Wares</var><text>]</text></line>
<line linenr="055" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Ware</var></line>
<line linenr="056" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.AddProducts</call><text>&#160;:&#160;</text><text>&#160;Station=</text><var>$Station</var><text>&#160;</text><text>&#160;Ware=</text><var>$Ware</var><text>&#160;</text><text>&#160;Amount=</text><var>1</var></line>
<line linenr="057" indent="&#160;"><text>end</text></line>
<line linenr="058" indent=""><text>end</text></line>
<line linenr="059" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.SetupProducts" /><sval type="int" val="30" /><sval type="string" val="Setup Stations Wares" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="6"><sval type="string" val="Station" /><sval type="string" val="Unlocked.Wares" /><sval type="string" val="Owner" /><sval type="string" val="Ware.Array" /><sval type="string" val="No.Wares" /><sval type="string" val="Ware" /></sval><sval type="array" size="55"><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606333" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="851972" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="851976" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="917506" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="917511" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="917514" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048581" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048582" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048584" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048589" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048592" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048593" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048594" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048629" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048630" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048631" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048632" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048633" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048634" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048648" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="1048611" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.RaceShips" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610604535" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="al.DDRS.AddProducts" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="27" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598909" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603517" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="47" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602747" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="47" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601979" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="47" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601211" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="47" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600699" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598903" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610599160" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="al.DDRS.AddProducts" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="48" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="Station" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="string" val="Ware Array" /></sval></sval><sval type="array" size="11"><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
